%define upstream_name TAP-Harness-Archive
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Create an archive of TAP test results
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/authors/id/W/WO/WONKO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(TAP::Harness) >= 3.50.0
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base) >= 2.180.0
BuildArch:  noarch

Requires:   perl(TAP::Harness) >= 3.05
Requires:   perl
%{?perl_default_filter}

%description
This module is a direct subclass of TAP::Harness and behaves in exactly the
same way except for one detail. In addition to outputting a running progress
of the tests and an ending summary it can also capture all of the raw TAP
from the individual test files or streams into an archive file (.tar or
.tar.gz).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.180.0-3pclos2017
- rebuild against updates

